LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::linguistic2::DictionaryListEventFlags Constant Group Referencepublished

constants representing a single dictionary-list event. More...

## Variables
const short | ADD_POS_ENTRY = 1
| A positive entry was added to a dictionary from the dictionary list.
const short | DEL_POS_ENTRY = 2
| A positive entry was deleted from a dictionary of the dictionary-list or a dictionary with positive entries was cleared.
const short | ADD_NEG_ENTRY = 4
| A negative entry was added to a dictionary from the dictionary-list.
const short | DEL_NEG_ENTRY = 8
| A negative entry was deleted from a dictionary of the dictionary-list or a dictionary with negative entries was cleared.
const short | ACTIVATE_POS_DIC = 16
| A dictionary with positive entries was activated or has changed its language.
const short | DEACTIVATE_POS_DIC = 32
| A dictionary with positive entries was deactivated or has changed its language.
const short | ACTIVATE_NEG_DIC = 64
| A dictionary with negative entries was activated or has changed its language.
const short | DEACTIVATE_NEG_DIC = 128
| A dictionary with negative entries was deactivated or has changed its language.

## Detailed Description

constants representing a single dictionary-list event.

These flags define the possible types for a dictionary-list event.

See also
  com::sun::star::linguistic2::DictionaryListEvent
  com::sun::star::linguistic2::XDictionaryListEventListener
  com::sun::star::linguistic2::XDictionaryList

## Variable Documentation

## ◆ ACTIVATE_NEG_DIC

const short ACTIVATE_NEG_DIC = 64

A dictionary with negative entries was activated or has changed its language.

## ◆ ACTIVATE_POS_DIC

const short ACTIVATE_POS_DIC = 16

A dictionary with positive entries was activated or has changed its language.

## ◆ ADD_NEG_ENTRY

const short ADD_NEG_ENTRY = 4

A negative entry was added to a dictionary from the dictionary-list.

## ◆ ADD_POS_ENTRY

const short ADD_POS_ENTRY = 1

A positive entry was added to a dictionary from the dictionary list.

## ◆ DEACTIVATE_NEG_DIC

const short DEACTIVATE_NEG_DIC = 128

A dictionary with negative entries was deactivated or has changed its language.

## ◆ DEACTIVATE_POS_DIC

const short DEACTIVATE_POS_DIC = 32

A dictionary with positive entries was deactivated or has changed its language.

## ◆ DEL_NEG_ENTRY

const short DEL_NEG_ENTRY = 8

A negative entry was deleted from a dictionary of the dictionary-list or a dictionary with negative entries was cleared.

## ◆ DEL_POS_ENTRY

const short DEL_POS_ENTRY = 2

A positive entry was deleted from a dictionary of the dictionary-list or a dictionary with positive entries was cleared.